Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeUseImpl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSAttributeUseImpl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse, weblogic.apache.xerces.impl.xs.psvi.XSObject

Deprecated. please use JDK supplied XML parsers and transformers

public class XSAttributeUseImpl
extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse

The XML representation for an attribute use schema component is a local element information item

Field Summary
`XSAttributeDecl` | `fAttrDecl` Deprecated.
`short` | `fConstraintType` Deprecated.
`ValidatedInfo` | `fDefault` Deprecated.
`short` | `fUse` Deprecated.

Constructor Summary
`XSAttributeUseImpl()` Deprecated.

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `getAttrDeclaration()` Deprecated. {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` | `getConstraintType()` Deprecated. Value Constraint: one of default, fixed.
`String` | `getConstraintValue()` Deprecated. Value Constraint: The actual value (with respect to the {type definition}).
`boolean` | `getIsRequired()` Deprecated. {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `reset()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttrDecl

    public XSAttributeDecl fAttrDecl

  Deprecated.

### fConstraintType

    public short fConstraintType

  Deprecated.

### fDefault

    public ValidatedInfo fDefault

  Deprecated.

### fUse

    public short fUse

  Deprecated.

Constructor Detail

### XSAttributeUseImpl

    public XSAttributeUseImpl()

  Deprecated.

Method Detail

### getAttrDeclaration

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttrDeclaration()

  Deprecated.
  {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.

  Specified by:
    `getAttrDeclaration` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse`

### getConstraintType

    public short getConstraintType()

  Deprecated.
  Value Constraint: one of default, fixed.

  Specified by:
    `getConstraintType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse`

### getConstraintValue

    public String getConstraintValue()

  Deprecated.
  Value Constraint: The actual value (with respect to the {type definition}).

  Specified by:
    `getConstraintValue` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse`

### getIsRequired

    public boolean getIsRequired()

  Deprecated.
  {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

  Specified by:
    `getIsRequired` in interface `weblogic.apache.xerces.impl.xs.psvi.XSAttributeUse`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### reset

    public void reset()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD